import { v4_length_sqr } from "./v4_length_sqr.js";

/**
 *
 * @param {number} x0
 * @param {number} y0
 * @param {number} z0
 * @param {number} w0
 * @param {number} x1
 * @param {number} y1
 * @param {number} z1
 * @param {number} w1
 * @returns {number}
 */
export function v4_distance_sqr(
    x0, y0, z0, w0,
    x1, y1, z1, w1
) {
    return v4_length_sqr(x0 - x1, y0 - y1, z0 - z1, w0 - w1);
}